Check-in [acbba28a7b]
Not logged in

Many hyperlinks are disabled.
Use anonymous login to enable hyperlinks.

Overview

SHA1 Hash:acbba28a7b8d3c8ea31c5306e7ac6aaa339e9666
Date: 2013-02-25 11:34:49
User: root
Comment:updated and fixed script 4babybuild

Tags And Properties
Changes

Changes to woof-code/4babybuild

@@ -1,10 +1,11 @@
 #!/bin/sh
 #(c) copyright Barry Kauler 2011, bkhome.org
 #license gpl3 (/usr/share/doc/legal)
 #110402 first version.
 #121102 file DISTRO_SPECS has new variable DISTRO_DB_SUBNAME. ex: for 14.0-based slacko, DISTRO_DB_SUBNAME=slacko14
+#130224 update and fixes.
 
 #3builddistro must already have been run. normally configured with kernel modules
 #inside sandbox3/rootfs-complete.
 #this script extracts all conceivable drivers and files not needed for regular
 #usage, to a zdrv.
@@ -14,11 +15,11 @@
 [ ! -f rootfs-complete/etc/DISTRO_SPECS ] && exit
 
 . rootfs-complete/etc/DISTRO_SPECS
 [ ! "$DISTRO_DB_SUBNAME" ] && DISTRO_DB_SUBNAME="$DISTRO_COMPAT_VERSION" #121102 fallback if DISTRO_DB_SUBNAME not defined in file DISTRO_SPECS.
 
-KERNELVER="`ls -1 rootfs-complete/lib/modules | grep '^2' | head -n 1`"
+KERNELVER="`ls -1 rootfs-complete/lib/modules | grep -E '^2|^3' | head -n 1`" #130224
 
 #backup rootfs-complete...
 echo "Creating rootfs-completeBABY and zdrvBABY..."
 rm -rf rootfs-completeBABY 2>/dev/null
 cp -a rootfs-complete rootfs-completeBABY
@@ -25,10 +26,11 @@
 mkdir -p zdrv
 rm -rf zdrvBABY 2>/dev/null
 cp -a zdrv zdrvBABY
 sync
 
+rm -f $WKGDIR/sandbox3/rootfs-completeBABY/lib/modules/$KERNELVER/modules.*  #130224 precaution in case full depmod was used before.
 busybox depmod -b $WKGDIR/sandbox3/rootfs-completeBABY -F $WKGDIR/sandbox3/System.map $KERNELVER
 
 
 #this code is out of 3builddistro, with changes...
 cd rootfs-completeBABY/lib/modules/$KERNELVER #makes it easier to handle find results.
@@ -45,29 +47,31 @@
 NETWORKMODS="`find ./kernel/drivers/net -type f | grep -vE '/wan/|/appletalk/|/hamradio/' | sed -e 's/^\.\///g'`" #want all the network interface drivers.
 UBUNTUMODS=""
 [ -d ./kernel/ubuntu ] && UBUNTUMODS="`find ./kernel/ubuntu -type f | grep -vE '/compcache/|/gnbd/|/heci/|/lirc/' | sed -e 's/^\.\///g'`"
 MMCMODS="`find ./kernel/drivers/mmc -type f | sed -e 's/^\.\///g'`" #include mmc/sd host drivers.
 MEMSTICKMODS="`find ./kernel/drivers/memstick -type f | sed -e 's/^\.\///g'`"
-MISCMODS="`find ./kernel/drivers/misc -type f | sed -e 's/^\.\///g'`"
+#130224 MISCMODS="`find ./kernel/drivers/misc -type f | sed -e 's/^\.\///g'`"
 USBMODS="`find ./kernel/drivers/usb -type f | sed -e 's/^\.\///g'`"
 ACPIMODS="`find ./kernel/drivers/acpi -type f | sed -e 's/^\.\///g'`"
 AGPMODS="`find ./kernel/drivers/char/agp -type f | sed -e 's/^\.\///g'`"
 I2CMODS="`find ./kernel/drivers/i2c -type f | sed -e 's/^\.\///g'`"
 PLATFORMMODS="`find ./kernel/drivers/platform -type f | sed -e 's/^\.\///g'`"
 BLUETOOTHMODS="`find ./kernel/drivers/bluetooth -type f | sed -e 's/^\.\///g'`"
-#w475 k2.6.29.3 has these usb webcam drivers...
-GSPCAMODS=""
-[ -d ./kernel/drivers/media/video/gspca ] && GSPCAMODS="`find ./kernel/drivers/media/video/gspca -type f | sed -e 's/^\.\///g'`"
+
+V4LMODS="`find ./kernel/drivers/media -type f | grep -E '/v4l2|/videobuf|/videodev' | sed -e 's/^\.\///g'`" #130224
+UVCMODS="`find ./kernel/drivers/media -type f | grep 'uvc' | sed -e 's/^\.\///g'`" #130224
+HWMONMODS="`find ./kernel/drivers/hwmon -type f | sed -e 's/^\.\///g'`"
+
 #k2.6.25.16: kernel/drivers/char/drm, k2.6.27.4: kernel/drivers/gpu/drm...
 DRMMODS="`find ./kernel/drivers -type f | grep '/drm/' | sed -e 's/^\.\///g'`"
 USBMODEMLIST="cdc-acm.ko pl2303.ko nozomi.ko hso.ko option.ko sierra.ko"
 ANALOGMODEMLIST="mwave.ko martian_dev.ko pctel.ko ltserial.ko slamr.ko slusb.ko esscom.ko"
-CPUSCALING2MODS="`find ./kernel/drivers/cpufreq -type f | sed -e 's/^\.\///g'`" #100127
-CPUSCALINGMODS="`find ./kernel/arch/x86/kernel/cpu/cpufreq -type f | sed -e 's/^\.\///g'`" #v431
+CPUSCALINGMODS="`find ./kernel/drivers/cpufreq -type f | sed -e 's/^\.\///g'`" #100127
+ARCHMODS="`find ./kernel/arch -type f | sed -e 's/^\.\///g'`" #130224
 CRYPTOMODS="`find ./kernel/crypto -type f | sed -e 's/^\.\///g'`" #100126
-#create a list of extra modules... w476 added nls_cp850.ko nls_cp852.ko...
-EXTRALIST="blkcipher.ko cbc.ko apm.ko cdrom.ko mwave.ko synclink_cs.ko serial_cs.ko lp.ko n_hdlc.ko nvram.ko sonypi.ko generic_serial.ko agpgart.ko ali-agp.ko amd-k7-agp.ko amd64-agp.ko ati-agp.ko intel-agp.ko nvidia-agp.ko sis-agp.ko sworks-agp.ko via-agp.ko blowfish.ko aes.ko arc4.ko crc32c.ko deflate.ko des.ko md5.ko sha1.ko cramfs.ko ext3.ko fat.ko fuse.ko isofs.ko jbd.ko lockd.ko minix.ko msdos.ko nfs.ko nls_cp437.ko nls_cp850.ko nls_cp852.ko nls_iso8859-1.ko nls_iso8859-13.ko nls_iso8859-14.ko nls_iso8859-15.ko nls_iso8859-2.ko nls_iso8859-3.ko nls_iso8859-4.ko nls_iso8859-5.ko nls_iso8859-6.ko nls_iso8859-7.ko nls_iso8859-8.ko nls_iso8859-9.ko nls_utf8.ko ntfs.ko reiserfs.ko smbfs.ko squashfs.ko udf.ko unionfs.ko vfat.ko i2c-core.ko i2c-algo-bit.ko ide-cs.ko ide-tape.ko ide-cd.ko ide-floppy.ko gameport.ko analog.ko pcigame.ko pcspkr.ko psmouse.ko sermouse.ko serport.ko serio.ko evdev.ko joydev.ko input.ko keybdev.ko mousedev.ko crc32.ko crc-ccitt.ko libcrc32c.ko zlib_deflate.ko firmware_class.ko parport_pc.ko parport_serial.ko parport.ko parport_cs.ko i82365.ko pd6729.ko tcic.ko yenta_socket.ko i82092.ko rsrc_nonstatic.ko pcmcia_core.ko ds.ko imm.ko scsi_mod.ko scsi_transport_spi.ko sd_mod.ko sg.ko sr_mod.ko ide-scsi.ko scsi_debug.ko scsi_transport_fc.ko cdc-acm.ko usb-midi.ko usblp.ko audio.ko bluetty.ko usbcore.ko sl811-hcd.ko uhci-hcd.ko ehci-hcd.ko ohci-hcd.ko uhci.ko usb-ohci.ko usb-uhci.ko usbkbd.ko usbhid.ko hid.ko usbmouse.ko usbnet.ko ir-usb.ko usbserial.ko usb-storage.ko scanner.ko printer.ko fan.ko ibm_acpi.ko ac.ko battery.ko processor.ko thermal.ko paride.ko cryptoloop.ko pktcdvd.ko floppy.ko loop.ko 8250_pnp.ko serial_core.ko 8250.ko 8250_pci.ko ndiswrapper.ko ungrab-winmodem.ko cifs.ko ssb.ko pl2303.ko aufs.ko serio_raw.ko ecb.ko output.ko"
+#create a list of extra modules... 130224 extended...
+EXTRALIST="synaptics_i2c.ko synaptics_usb.ko thermal_sys.ko blkcipher.ko cbc.ko apm.ko cdrom.ko mwave.ko synclink_cs.ko serial_cs.ko lp.ko n_hdlc.ko nvram.ko sonypi.ko generic_serial.ko agpgart.ko ali-agp.ko amd-k7-agp.ko amd64-agp.ko ati-agp.ko intel-agp.ko nvidia-agp.ko sis-agp.ko sworks-agp.ko via-agp.ko blowfish.ko aes.ko arc4.ko crc32c.ko deflate.ko des.ko md5.ko sha1.ko cramfs.ko ext3.ko fat.ko fuse.ko isofs.ko jbd.ko lockd.ko minix.ko msdos.ko nfs.ko nls_cp437.ko nls_cp850.ko nls_cp852.ko nls_iso8859-1.ko nls_iso8859-13.ko nls_iso8859-14.ko nls_iso8859-15.ko nls_iso8859-2.ko nls_iso8859-3.ko nls_iso8859-4.ko nls_iso8859-5.ko nls_iso8859-6.ko nls_iso8859-7.ko nls_iso8859-8.ko nls_iso8859-9.ko nls_utf8.ko ntfs.ko reiserfs.ko smbfs.ko squashfs.ko udf.ko unionfs.ko vfat.ko i2c-core.ko i2c-algo-bit.ko ide-cs.ko ide-tape.ko ide-cd.ko ide-floppy.ko gameport.ko analog.ko pcigame.ko pcspkr.ko psmouse.ko sermouse.ko serport.ko serio.ko evdev.ko joydev.ko input.ko keybdev.ko mousedev.ko crc32.ko crc-ccitt.ko libcrc32c.ko zlib_deflate.ko firmware_class.ko parport_pc.ko parport_serial.ko parport.ko parport_cs.ko i82365.ko pd6729.ko tcic.ko yenta_socket.ko i82092.ko rsrc_nonstatic.ko pcmcia_core.ko ds.ko imm.ko scsi_mod.ko scsi_transport_spi.ko sd_mod.ko sg.ko sr_mod.ko ide-scsi.ko scsi_debug.ko scsi_transport_fc.ko cdc-acm.ko usb-midi.ko usblp.ko audio.ko bluetty.ko usbcore.ko sl811-hcd.ko uhci-hcd.ko ehci-hcd.ko ohci-hcd.ko uhci.ko usb-ohci.ko usb-uhci.ko usbkbd.ko usbhid.ko hid.ko usbmouse.ko usbnet.ko ir-usb.ko usbserial.ko usb-storage.ko scanner.ko printer.ko fan.ko ibm_acpi.ko ac.ko battery.ko processor.ko thermal.ko paride.ko cryptoloop.ko pktcdvd.ko floppy.ko loop.ko 8250_pnp.ko serial_core.ko 8250.ko 8250_pci.ko ndiswrapper.ko ungrab-winmodem.ko cifs.ko ssb.ko pl2303.ko aufs.ko serio_raw.ko ecb.ko output.ko"
 #FBMODS="intelfb.ko rivafb.ko sisfb.ko fbcon-vga-planes.ko fbcon-mfb.ko fbgen.ko mdacon.ko neofb.ko tridentfb.ko vgastate.ko vga16fb.ko "
 EXTRAMODS=""
 for ONEMOD in $EXTRALIST $USBMODEMLIST #$ANALOGMODEMLIST
 do
  ONEFND="`find ./ -type f -name $ONEMOD | sed -e 's/^\.\///g'`"
@@ -93,11 +97,16 @@
 $ACPIMODS
 $AGPMODS
 $I2CMODS
 $PLATFORMMODS
 $BLUETOOTHMODS
+$V4LMODS
+$UVCMODS
+$HWMONMODS
 $DRMMODS
+$CPUSCALINGMODS
+$ARCHMODS
 $CRYPTOMODS
 $EXTRAMODS"
 echo "$CHOSENMODS"| tr -s '\n'  > /tmp/chosenmods.txt
 echo "Finding all dependent modules..."
 echo -n "" > /tmp/alldeps.txt
@@ -105,12 +114,12 @@
 while read ONEMOD
 do
  [ "$ONEMOD" = "" ] && continue #precaution
  ONEBASE="`basename $ONEMOD`"
  DPATTERN="/${ONEBASE}:"
- PPATTERN="s/^\/lib\/modules\/${KERNELVER}\///g"
- ONEDEPS="`cat rootfs-completeBABY/lib/modules/$KERNELVER/modules.dep | grep "$DPATTERN" | cut -f 2 -d ':' | tr ' ' '\n' | sed -e "$PPATTERN"`"
+ PPATTERN="s%^/lib/modules/${KERNELVER}/%%" #130224 not needed anymore. modules.dep format changed awhile back.
+ ONEDEPS="`cat rootfs-completeBABY/lib/modules/$KERNELVER/modules.dep | grep "$DPATTERN" | cut -f 2 -d ':' | tr ' ' '\n' | sed -e "$PPATTERN" -e '/^$/d'`" #130224
  [ "$ONEDEPS" != "" ] && echo "$ONEDEPS" >> /tmp/alldeps.txt
 done
 sync
 sort -u /tmp/alldeps.txt > /tmp/alldepssorted.txt #remove duplicate lines.
 cat /tmp/alldepssorted.txt >> /tmp/chosenmods.txt
@@ -141,13 +150,13 @@
   fi
  fi
 done
 
 #special case:
-mv -f rootfs-completeBABY/lib/modules/all-firmware/intel537ep.tar.gz zdrvBABY/lib/modules/all-firmware/
-cp -a -f --remove-destination rootfs-completeBABY/lib/modules/${KERNELVER}/intelmodem zdrvBABY/lib/modules/${KERNELVER}/
-rm -rf rootfs-completeBABY/lib/modules/${KERNELVER}/intelmodem
+mv -f rootfs-completeBABY/lib/modules/all-firmware/intel537ep.tar.gz zdrvBABY/lib/modules/all-firmware/ 2>/dev/null
+cp -a -f --remove-destination rootfs-completeBABY/lib/modules/${KERNELVER}/intelmodem zdrvBABY/lib/modules/${KERNELVER}/ 2>/dev/null
+rm -rf rootfs-completeBABY/lib/modules/${KERNELVER}/intelmodem 2>/dev/null
 
 busybox depmod -b $WKGDIR/sandbox3/rootfs-completeBABY -F $WKGDIR/sandbox3/System.map $KERNELVER
 
 WATCHEDDIRS=''
 
@@ -203,26 +212,39 @@
 chmod 755 rootfs-completeBABY/etc/init.d/inotify-baby
 
 cat >rootfs-completeBABY/usr/sbin/inotify-baby <<EOF
 #!/bin/sh
 #please see /etc/init.d/inotify-baby
-chmod 544 /etc/init.d/inotify-baby #disable
 inotifywait --quiet ${WATCHEDDIRS} >/tmp/inotify-baby-log
 PSFND="\`ps\`"
 while [ "\`echo -n "\$PSFND" | grep '\\.xinitrc'\`" = "" ];do
  sleep 1
  PSFND="\`ps\`"
 done
 BABYLOG="\`cat /tmp/inotify-baby-log | cut -f 1 -d ' '\`"
-sleep 2
+sleep 5
+
+if [ \$PUPMODE -eq 5  ];then
+ ZMSG1="This is a small build, with extra drivers in a separate 'zdrv' file: '\${DISTRO_ZDRVSFS}'.
+Note, the extra drivers in 'zdrv' depends on the build -- typically there will be a large number of kernel modules, plus printer, camera, scanner drivers and browser plugins.
+As this is the first time that you have booted Puppy, it is highly recommended that you shutdown RIGHT NOW and reboot -- this will save your session, and at next boot you will get another window like this one, asking you to download the 'zdrv'.
+Or, if you already know what partition and directory you will be saving the session to (just about everyone who has used Puppy before), then if you have Internet access, you can download the 'zdrv' right now."
+ ZMSG2='This window will display again at next bootup!'
+else
+ ZMSG1="This is a small build, with extra drivers in a separate 'zdrv' file: '\${DISTRO_ZDRVSFS}'.
+Please download this and place it in /mnt/home. (\${DISTRO_ZDRVSFS} can be downloaded from same URL you got the live-CD .iso from). Then next time that you bootup this pup, the extra drivers will be automatically loaded. Note, the extra drivers in 'zdrv' depends on the build -- typically there will be a large number of kernel modules, plus printer, camera, scanner drivers and browser plugins."
+ ZMSG2='WARNING: This window will not be displayed again!'
+ chmod 544 /etc/init.d/inotify-baby #disable
+fi
 
 export Z_DIALOG="<window title=\"ZDRV alarm\" icon-name=\"gtk-about\" window_position=\"1\" --decorated=\"false\">
 <vbox>
  <text use-markup=\"true\"><label>\"<big><b>IMPORTANT NOTICE</b></big>\"</label></text>
- <text use-markup=\"true\"><label>\"<big>DRIVERS ARE MISSING FROM THE DIRECTORY \$BABYLOG</big>\"</label></text>
- <text><label>This is a small build, with extra drivers in a separate 'zdrv' file: '${DISTRO_ZDRVSFS}'. Please download this and place it at the same path that you have saved the session to. (${DISTRO_ZDRVSFS} can be downloaded from same URL you got the live-CD .iso from). Then next time that you bootup this pup, the extra drivers will be automatically loaded. Note, the extra drivers in 'zdrv' depends on the build -- typically there will be a large number of kernel modules, plus printer, camera, scanner drivers and browser plugins. Note for those on dialup Internet: the 'zdrv' has many more analog modem drivers.</label></text>
- <text use-markup=\"true\"><label>\"<big>YOU ONLY GET THIS MESSAGE ONCE!</big>\"</label></text>
+ <text use-markup=\"true\"><label>\"<big>DRIVERS ARE MISSING FROM THE DIRECTORY:
+\$BABYLOG</big>\"</label></text>
+ <text><label>\"${ZMSG1}\"</label></text>
+ <text use-markup=\"true\"><label>\"<big>\${ZMSG2}</big>\"</label></text>
  <frame>
   <hbox>
    <text use-markup=\"true\"><label>\"<big>If you have Internet access, you can download and install the 'zdrv' file '${DISTRO_ZDRVSFS}' right now by clicking this button:</big>\"</label></text>
    <vbox>
    <button>
@@ -236,12 +258,12 @@
   <button cancel></button>
  </hbox>
 </vbox>
 </window>
 "
-RETPARAMS="\`gtkdialog3 --program=Z_DIALOG\`"
-[ "\`echo "$RETPARAMS" | grep 'BUTTON_SFS_DOWNLOAD'\`" = "" ] && exit 1
+RETPARAMS="\`gtkdialog --display=:0 --program=Z_DIALOG\`"
+[ "\`echo "\$RETPARAMS" | grep 'BUTTON_SFS_DOWNLOAD'\`" = "" ] && exit 1
 /usr/sbin/sfsget ${DISTRO_ZDRVSFS}
 EOF
 chmod 755 rootfs-completeBABY/usr/sbin/inotify-baby
 
 sync

Changes to woof-code/rootfs-skeleton/etc/profile

@@ -4,10 +4,11 @@
 #110804 fix double-login when exit from X, allow /etc/profile to complete. see also "echo -n '# '" in /usr/bin/xwin at exit.
 #110807 revert 110804
 #120221 moved code to start X to /root/.profile
 #120407 hide error msg on screen if 915resolution fails.
 #120525 shinobar: we don't need this: export LC_COLLATE=en_US
+#130224 npierce: fix hard-to-see yellow text in terminal.
 
 PATH="/bin:/usr/bin:/sbin:/usr/sbin:/usr/local/bin:/usr/X11R7/bin:/root/my-applications/bin:/usr/games"
 #100626 add /usr/local/lib...
 LD_LIBRARY_PATH="/lib:/usr/lib:/usr/X11R7/lib:/root/my-applications/lib:/usr/local/lib"
 if [ -d /opt/gnome2 ];then
@@ -188,11 +189,14 @@
 alias ls='ls --color=auto'
 ##v2.17 no color in terminal window. G2: sh (link to bash) does not read any
 ##config file, unless do this...
 #export ENV="/root/.bashrc"
 #...no, instead have exported SHELL=bash, see above.
+#130224 npierce: fix hard-to-read yellow in white terminal. refer: http://murga-linux.com/puppy/viewtopic.php?t=84298&start=210
+#reference: refer http://blog.twistedcode.org/2008/04/lscolors-explained.html
+export LS_COLORS='bd=33:cd=33'
 
 #v1.0.5
 #personal customisation file...
 [ -r /etc/profile.local ] && . /etc/profile.local
 
 ###END###

Changes to woof-code/rootfs-skeleton/usr/bin/petspec

@@ -9,10 +9,11 @@
 #100320 prevent crash if $5 only has name, no version number.
 #100508 bugfix empty field.
 #120517 update the compileddistro items.
 #120719 support raspbian.
 #120814 support sub-category. 120819 sub-category fixes.
+#130224 add Document;utility
 
 #old ex: "abiword-2.6.3" "abiword 2.6.3: wordprocessor" ONOFF "Document +fribidi,+gtk+,+goffice,+wv,+enchant 7556K"
 #new: pkgname|nameonly|version|pkgrelease|category[;subcategory]|size|path|fullfilename|dependencies|description|compileddistro|compiledrelease|repo|
 #ex: abiword-1.2.4|abiword|1.2.4|5|Document|999K|slackware/ab|abiword-1.2.4-5-i486.tgz|+aiksausus,+gtk2|a nice wordprocessor|slackware|12.2|official|
 
@@ -87,11 +88,11 @@
 # [ "$ONECAT" = "$DEF_category" ] && continue
 # ITEMSCAT="${ITEMSCAT}<item>${ONECAT}</item>"
 #done
 #120814 add sub-categories (note, icons for all categories and sub-cat are in /usr/local/lib/X11/mini-icons) ...
 ITEMSCAT="<item>${DEF_category}</item>"
-for ONECAT in 'NO CATEGORY' Desktop 'Desktop;appearance' 'Desktop;applet' 'Desktop;settings' 'Desktop;sleep' 'Desktop;windows' System 'System;memory' 'System;print' 'System;process' 'System;security' 'System;storage' Setup 'Setup;installation' 'Setup;puppy' 'Setup;wizard' Utility 'Utility;development' 'Utility;help' 'Utility;package' 'Utility;shell' Filesystem 'Filesystem;filemanager' 'Filesystem;find' 'Filesystem;storage' Graphic 'Graphic;camera' 'Graphic;draw' 'Graphic;flow' 'Graphic;paint' 'Graphic;print' 'Graphic;scanner' 'Graphic;utility' 'Graphic;viewer' Document 'Document;catalog' 'Document;layout' 'Document;edit' 'Document;viewer' Business 'Business;calc' 'Business;finance' 'Business;planner' 'Business;spreadsheet' Personal 'Personal;database' 'Personal;date' 'Personal;education' 'Personal;organizer' 'Personal;security' 'Personal;timing' Network 'Network;connect' 'Network;firewall' 'Network;phone' 'Network;transfer' 'Network;utility' Internet 'Internet;block' 'Internet;browser' 'Internet;chat' 'Internet;login' 'Internet;mailnews' 'Internet;transfer' 'Internet;utility' Multimedia 'Multimedia;mediaplayer' 'Multimedia;optical' 'Multimedia;sound' 'Multimedia;utility' 'Multimedia;video' Fun 'Fun;adventure' 'Fun;arcade' 'Fun;boardgame' 'Fun;cardgame' 'Fun;puzzle' 'Fun;shooter' Help BuildingBlock
+for ONECAT in 'NO CATEGORY' Desktop 'Desktop;appearance' 'Desktop;applet' 'Desktop;settings' 'Desktop;sleep' 'Desktop;windows' System 'System;memory' 'System;print' 'System;process' 'System;security' 'System;storage' Setup 'Setup;installation' 'Setup;puppy' 'Setup;wizard' Utility 'Utility;development' 'Utility;help' 'Utility;package' 'Utility;shell' Filesystem 'Filesystem;filemanager' 'Filesystem;find' 'Filesystem;storage' Graphic 'Graphic;camera' 'Graphic;draw' 'Graphic;flow' 'Graphic;paint' 'Graphic;print' 'Graphic;scanner' 'Graphic;utility' 'Graphic;viewer' Document 'Document;catalog' 'Document;layout' 'Document;edit' 'Document;viewer' 'Document;utility' Business 'Business;calc' 'Business;finance' 'Business;planner' 'Business;spreadsheet' Personal 'Personal;database' 'Personal;date' 'Personal;education' 'Personal;organizer' 'Personal;security' 'Personal;timing' Network 'Network;connect' 'Network;firewall' 'Network;phone' 'Network;transfer' 'Network;utility' Internet 'Internet;block' 'Internet;browser' 'Internet;chat' 'Internet;login' 'Internet;mailnews' 'Internet;transfer' 'Internet;utility' Multimedia 'Multimedia;mediaplayer' 'Multimedia;optical' 'Multimedia;sound' 'Multimedia;utility' 'Multimedia;video' Fun 'Fun;adventure' 'Fun;arcade' 'Fun;boardgame' 'Fun;cardgame' 'Fun;puzzle' 'Fun;shooter' Help BuildingBlock
 do
  #[ "$ONECAT" = "$DEF_category" ] && continue
  ITEMSCAT="${ITEMSCAT}<item>${ONECAT}</item>"
 done
 

Changes to woof-code/rootfs-skeleton/usr/local/petget/hacks-postinstall.sh

@@ -2,11 +2,11 @@
 #this is for hacks needed to fix a package, that might not have been done elsewhere.
 #called from /usr/local/petget/installpkg.sh
 #package that has just been installed is passed in on commandline.
 #120924 DejaVu font no good for non-Latin languages. 120925 add korean.
 #130122 xsane: remove warning about running as root.
-#130221 pemasu: google-chrome run as root.
+#130221 pemasu: google-chrome run as root. 130224 pemasu: limit cache size.
 
 INSTALLEDPKG="$1" #ex: vlc_2.0.3-0ubuntu0.12.04.1_i386, without .deb
 
 case $INSTALLEDPKG in
  vlc-nox_*)
@@ -19,18 +19,23 @@
     mv -f /tmp/vlc-temp1 /usr/bin/vlc
     chmod 755 /usr/bin/vlc
    fi
   fi
  ;;
- google-chrome-*) #130221 pemasu.
+ google-chrome-*) #130221 pemasu. 130224 pemasu: limit cache size...
   if [ -f /usr/bin/bbe ];then #bbe is a sed-like utility for binary files.
    if [ -f /opt/google/chrome/chrome  ];then
     bbe -e 's/geteuid/getppid/' /opt/google/chrome/chrome > /tmp/chrome-temp1
     mv -f /tmp/chrome-temp1 /opt/google/chrome/chrome
     chmod 755 /opt/google/chrome/chrome
-    ln -s /opt/google/chrome/chrome /usr/bin/google-chrome
+    [ -e /usr/bin/google-chrome ] && rm -f /usr/bin/google-chrome
+    echo '#!/bin/sh
+exec /opt/google/chrome/google-chrome --user-data-dir=/root/.config/chrome --disk-cache-size=10000000 --media-cache-size=10000000 "$@"' > /usr/bin/google-chrome
+    chmod 755 /usr/bin/google-chrome
+    ln -s google-chrome /usr/bin/chrome
     ln -s /opt/google/chrome/product_logo_48.png /usr/share/pixmaps/google-chrome.png
+    ln -s /opt/google/chrome/product_logo_48.png /usr/share/pixmaps/chrome.png
     CHROMEDESKTOP="`find /usr/share/applications -mindepth 1 -maxdepth 1 -iname '*chrome*.desktop'`"
     if [ "$CHROMEDESKTOP" = "" ];then #precaution.
      echo '[Desktop Entry]
 Encoding=UTF-8
 Version=1.0

Changes to woof-distro/Packages-puppy-noarch-official

@@ -6,10 +6,11 @@
 defaults-chooser-0.8.6|defaults-chooser|0.8.6||Setup|56K||defaults-chooser-0.8.6.pet|+gtkdialog,+xdialog|Default Applications Chooser||||
 desk_background_collection_vicmz-20121204|desk_background_collection_vicmz|20121204||Desktop|7676K||desk_background_collection_vicmz-20121204.pet||A large wallpaper (desktop background) collection for Puppy Linux. collated by vicmz||||
 desk_background_generic-20130221|desk_background_generic|20130221||BuildingBlock|292K||desk_background_generic-20130221.pet||interesting generic wallpapers for all puppies, fairly small file sizes||||
 desk_background_precise-1.1|desk_background_precise|1.1||Desktop|196K||desk_background_precise-1.1.pet||wallpaper (desktop background) collection for Precise Puppy||||
 desk_background_precise2-1|desk_background_precise2|1||Desktop|3240K||desk_background_precise2-1.pet||wallpaper (desktop background) collection for Precise Puppy, created by futwerk||||
+desk_background_quirky1-20130224|desk_background_quirky1|20130224||Desktop;appearance|284K||desk_background_quirky1-20130224.pet||wallpapers for Quirky Puppy||||
 desk_background_racy1-1.0|desk_background_racy1|1.0||Desktop|412K||desk_background_racy1-1.0.pet||desktop background images for Racy Puppy||||
 desk_background_raspup1-1.0|desk_background_raspup1|1.0||Desktop|52K||desk_background_raspup1-1.0.pet||background image for Puppy running in the Raspberry Pi arm board||||
 desk_background_wary0-1.0|desk_background_wary0|1.0||Desktop|220K||desk_background_wary0-1.0.pet||wallpaper (desktop background) collection for Wary Puppy||||
 desk_background_wary1-1.0|desk_background_wary1|1.0||Desktop|556K||desk_background_wary1-1.0.pet||desktop background images for Wary Puppy||||
 desk_icon_theme_area042-1|desk_icon_theme_area042|1||Desktop|492K||desk_icon_theme_area042-1.pet|+gtk+|black-white-brown line-art style icons||||
@@ -32,10 +33,11 @@
 desk_icon_theme_neu-1|desk_icon_theme_neu|1||Desktop|172K||desk_icon_theme_neu-1.pet||desktop and menu icons, modern multi-color, put together by jemimah||||
 desk_icon_theme_shining_silver-1|desk_icon_theme_shining_silver|1||Desktop|272K||desk_icon_theme_shining_silver-1.pet||desktop and menu icons, silver-color with blue highlights, put together by vicmz||||
 ffconvert-1.3.1|ffconvert|1.3.1||Multimedia|368K||ffconvert-1.3.1.pet|+ffmpeg|FFConvert multimedia converter||||
 ffconvert_NLS-1.2.1|ffconvert_NLS|1.2.1||Multimedia|304K||ffconvert_NLS-1.2.1.pet|+ffconvert|FFConvert multimedia converter||||
 firmware_linux_module_agrmodem-20121004|firmware_linux_module_agrmodem|20121004||BuildingBlock|24K||firmware_linux_module_agrmodem-20121004.pet||kernel-independent modem driver components, created by rerwin||||
+firmware_linux_module_ar5523-20130224|firmware_linux_module_ar5523|20130224||BuildingBlock|168K||firmware_linux_module_ar5523-20130224.pet|linux_kernel&ge3.8.0|firmware for wireless driver ar5523||||
 firmware_linux_module_b43-120920|firmware_linux_module_b43|120920||BuildingBlock|408K||firmware_linux_module_b43-120920.pet||firmware and all support files needed for kernel module b43||||
 firmware_linux_module_b43-121105-k3.2plus|firmware_linux_module_b43|121105-k3.2plus||BuildingBlock|1088K||firmware_linux_module_b43-121105-k3.2plus.pet|+linux_kernel&ge3.2|firmware and all support files needed for kernel module b43, updated by pemasu||||
 firmware_linux_module_b43legacy-20120920|firmware_linux_module_b43legacy|20120920||BuildingBlock|180K||firmware_linux_module_b43legacy-20120920.pet||firmware and support files files for kernel module b43legacy||||
 firmware_linux_module_brcm-20120920|firmware_linux_module_brcm|20120920||BuildingBlock|1244K||firmware_linux_module_brcm-20120920.pet||firmware and support files for kernel modules brcmfmac.ko, brcmsmac.ko, bcma.ko||||
 firmware_linux_module_dgcmodem-20121004|firmware_linux_module_dgcmodem|20121004||BuildingBlock|122K||firmware_linux_module_dgcmodem-20121004.pet||kernel-independent DGC & CDC-ACM modem driver components, created by rerwin||||

Changes to woof-distro/x86/t2/quirky6/DISTRO_PKGS_SPECS-t2-quirky6

@@ -55,11 +55,11 @@
 no|bin86||exe>dev,dev,doc,nls
 yes|binutils|binutils|exe>dev,dev,doc,nls|compat:quirky6
 yes|bison|bison|exe>dev,dev,doc,nls|compat:quirky6
 yes|boehm-gc|boehm-gc|exe,dev,doc,nls|compat:quirky6
 yes|bones||exe
-yes|busybox||exe,dev,doc,nls| #use our pet.
+yes|busybox||exe,dev,doc,nls|pet:common| #use our pet with f2fs patch.
 yes|bzip2|bzip2|exe,dev,doc,nls|compat:quirky6
 yes|cairo|cairo|exe,dev,doc,nls|compat:quirky6
 yes|cddetect||exe,dev>null,doc,nls
 yes|cdparanoia-III|cdparanoia|exe,dev,doc,nls|compat:quirky6
 yes|cdrkit|cdrkit|exe,dev>null,doc,nls|compat:quirky6
@@ -75,15 +75,16 @@
 yes|cups_pdf||exe
 yes|curl|curl|exe,dev,doc,nls|compat:quirky6
 yes|cvs|cvs|exe>dev,dev,doc,nls|compat:quirky6
 yes|ddcprobe||exe,dev>null,doc,nls
 yes|defaults-chooser||exe
-no|desk_background_wary0||exe| #desktop background images for Wary Puppy.
+yes|desk_background_quirky1||exe
 yes|desk_icon_theme_lagabluenight||exe
 yes|desk_icon_theme_smooth_color||exe
 yes|desk_icon_theme_stark042||exe
-yes|dhcpcd|dhcpcd|exe,dev>null,doc,nls|compat:quirky6
+no|dhcpcd|dhcpcd|exe,dev>null,doc,nls|compat:quirky6
+yes|dhcpcd||exe,dev,doc,nls|pet:common| #has dropwait patch.
 no|dialog|dialog|exe,dev>null,doc,nls|compat:quirky6| #no wide-char support.
 yes|dialog||exe,dev>null,doc,nls|
 yes|dictd_client||exe
 yes|didiwiki||exe
 yes|dietlibc|dietlibc|exe>dev,dev,doc,nls|compat:quirky6
@@ -113,10 +114,11 @@
 yes|ffmpeg|ffmpeg|exe,dev,doc,nls|compat:quirky6
 yes|file|file|exe,dev,doc,nls|compat:quirky6
 yes|file_sharing-curlftpfs-mpscan||exe
 yes|findutils|findutils|exe,dev>null,doc,nls|compat:quirky6
 no|firmware_linux_module_agrmodem||exe
+yes|firmware_linux_module_ar5523||exe
 yes|firmware_linux_module_b43||exe| #120919 have taken these out of woof, now pets.
 yes|firmware_linux_module_b43legacy||exe
 yes|firmware_linux_module_brcm||exe
 no|firmware_linux_module_dgcmodem||exe
 no|firmware_linux_module_ess||exe
@@ -432,18 +434,18 @@
 yes|sane-backends|sane-backends|exe,dev,doc,nls|compat:quirky6
 yes|scale2x||exe
 yes|schroedinger|schroedinger|exe,dev,doc,nls|compat:quirky6
 yes|screeny||exe,dev,doc,nls| #alternate screenshot app, created by 01micko.
 yes|scrollkeeper|scrollkeeper|exe>dev,dev,doc>dev,nls>dev|compat:quirky6
+yes|seamonkey1||exe,dev,doc>null,nls>null| #use 1.1.18 in common repo, small.
 yes|seamonkey1_addon_adblock||exe
 yes|seamonkey1_addon_copyplaintext||exe
 yes|seamonkey1_addon_flashblock||exe
 yes|seamonkey1_addon_fullerscreen||exe
 yes|seamonkey1_addon_user_agent_switcher||exe
 yes|seamonkey1_addon_video_downloadhelper||exe
 yes|seamonkey1_addon_zombiekeys||exe
-yes|seamonkey1||exe,dev,doc>null,nls>null| #use 1.1.18 in common repo, small.
 yes|sed|sed|exe,dev>null,doc,nls|compat:quirky6
 yes|setserial|setserial|exe,dev>null,doc,nls|compat:quirky6
 yes|setvol||exe
 yes|sfs-converter||exe
 yes|sfs_load||exe,dev,doc,nls
@@ -478,13 +480,14 @@
 yes|unzip|unzip|exe,dev,doc,nls|compat:quirky6
 yes|urxvtset||exe| #needs urxvt, yad
 yes|usb-modeswitch-data||exe
 yes|usb-modeswitch||exe
 yes|usbutils|usbutils|exe,dev,doc,nls|compat:quirky6
-yes|util-linux|util-linux|exe,dev,doc,nls|compat:quirky6
+no|util-linux|util-linux|exe,dev,doc,nls|compat:quirky6
+yes|util-linux||exe,dev,doc,nls|pet:common| #has f2fs patch.
 no|util-macros||exe>dev,dev,doc,nls| #this pet is in the old quirky repo.
-yes|v86d||exe,dev,doc,nls| #needed by uvesafb framebuffer kernel driver.
+no|v86d||exe,dev,doc,nls| #needed by uvesafb framebuffer kernel driver.
 yes|vala|vala|exe>dev,dev,doc>dev,nls|compat:quirky6
 yes|vamps|vamps|exe,dev,doc,nls|compat:quirky6
 yes|vbetool|vbetool|exe,dev,doc,nls|compat:quirky6
 yes|vcdimager|vcdimager|exe,dev,doc,nls|compat:quirky6
 yes|viewnior||exe,dev,doc,nls

Changes to woof-distro/x86/t2/quirky6/DISTRO_SPECS

@@ -1,16 +1,16 @@
 #One or more words that identify this distribution:
 DISTRO_NAME='Quirky Puppy'
 #version number of this distribution:
-DISTRO_VERSION=5.94
+DISTRO_VERSION=5.95
 #The distro whose binary packages were used to build this distribution:
 DISTRO_BINARY_COMPAT='t2'
 #Prefix for some filenames: exs: quirkysave.2fs, quirky-5.1.3.4.sfs
 DISTRO_FILE_PREFIX='quirky'
 #The version of the distro whose binary packages were used to build this distro:
 DISTRO_COMPAT_VERSION='quirky6'
 #the kernel pet package used:
-DISTRO_KERNEL_PET='linux_kernel-3.6.11-nopae-fb-nodrm-i686-quirky6.pet'
+DISTRO_KERNEL_PET='linux_kernel-3.8.0-nopae-f2fs-i586-precise.pet'
 DISTRO_TARGETARCH='x86'
 #subname for online PETs dir. Ex: 'slacko14', dir 'pet_packages-slacko14', db file 'Packages-puppy-slacko14-official':
 #note: prior to existence of this variable, online subname was set to $DISTRO_COMPAT_VERSION or via some hack code.
 DISTRO_DB_SUBNAME='quirky6'

Changes to woof-distro/x86/ubuntu/precise/DISTRO_PKGS_SPECS-ubuntu-precise

@@ -176,10 +176,11 @@
 yes|file||exe,dev,doc,nls|pet:common
 yes|file_sharing-curlftpfs-mpscan||exe
 yes|findutils|findutils|exe,dev>null,doc,nls
 no|firefox-flash|firefox|exe,dev,doc>null,nls>null
 yes|firmware_linux_module_agrmodem||exe
+yes|firmware_linux_module_ar5523||exe| #for 3.8+ kernel.
 yes|firmware_linux_module_b43||exe| #120919 have taken these out of woof, now pets.
 yes|firmware_linux_module_b43legacy||exe
 yes|firmware_linux_module_brcm||exe
 yes|firmware_linux_module_dgcmodem||exe
 yes|firmware_linux_module_ess||exe